import logging
import json
import requests
from flask import current_app
from typing import Any


def main() -> str:
    """Fetch weather observations from BOM API.

    Returns:
        str: Raw JSON string of latest weather data for Mildura Airport

    Note:
        Uses product code IDV60901.95936 (Mildura Airport observations)
    """
    current_app.logger.info('Harvesting weather observations')
    return json.dumps(requests.get('http://reg.bom.gov.au/fwo/IDV60901/IDV60901.95936.json').json())
